<template lang="pug">
  .page.home.container
    .columns.is-multiline
      .column.is-narrow.is-flex
        .thumbnail
      .column
        h1.title.is-2.has-text-right Michael Villalba Sotelo
        h2.title.is-3.has-text-right Software Architect
        contact
</template>

<script lang="ts">
import { Vue, Component } from 'nuxt-property-decorator';

@Component({
  components: {
    Contact: () => import(/* webpackChunkName: "home-contact" */ '../components/Home/Contact.vue'),
  },
})
class PageHome extends Vue {
}

export default PageHome;
</script>

<style lang="sass" scoped>
.page.home
  .title
    color: white

  .columns
    margin: 0

  .thumbnail
    background: url("../assets/img/visomi.jpg") 50% 50% no-repeat
    background-size: cover
    width: 9.5rem
    height: 9.5rem
    border-radius: 50%

  .column.is-narrow.is-flex
    justify-content: center
    align-items: center

@media screen and (max-width: 768px)
  .page.home
    .thumbnail
      width: 6.5rem
      height: 6.5rem
</style>
